## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ValidatorTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ValidatorTypeImpl

All Implemented Interfaces:
  ValidatorType

    public class ValidatorTypeImpl

extends EObjectImpl
implements ValidatorType

An implementation of the model object 'Validator Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Validator Id`
- `Validator Class`
- `Attribute`
- `Property`
- `Validator Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetValidatorClass(ValidatorClassType newValidatorClass, NotificationChain msgs)`
`NotificationChain` `basicSetValidatorId(ValidatorIdType newValidatorId, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getAttribute()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`EList` `getProperty()`
`ValidatorClassType` `getValidatorClass()`
`EList` `getValidatorExtension()`
`ValidatorIdType` `getValidatorId()`
`void` `setId(java.lang.String newId)`
`void` `setValidatorClass(ValidatorClassType newValidatorClass)`
`void` `setValidatorId(ValidatorIdType newValidatorId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `ValidatorType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `ValidatorType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `ValidatorType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Icon()`

### getValidatorId

    public ValidatorIdType getValidatorId()

  Specified by:
    `getValidatorId` in interface `ValidatorType`
  Returns:
    the value of the 'Validator Id' containment reference.
  See Also:
    `ValidatorType.setValidatorId(ValidatorIdType)`, `FacesConfigPackage.getValidatorType_ValidatorId()`

### basicSetValidatorId

    public NotificationChain basicSetValidatorId(ValidatorIdType newValidatorId,
                                                 NotificationChain msgs)

  Parameters:
    `newValidatorId` -
    `msgs` -
  Returns:
    the notification chain

### setValidatorId

    public void setValidatorId(ValidatorIdType newValidatorId)

  Specified by:
    `setValidatorId` in interface `ValidatorType`
  Parameters:
    `newValidatorId` - the new value of the 'Validator Id' containment reference.
  See Also:
    `ValidatorType.getValidatorId()`

### getValidatorClass

    public ValidatorClassType getValidatorClass()

  Specified by:
    `getValidatorClass` in interface `ValidatorType`
  Returns:
    the value of the 'Validator Class' containment reference.
  See Also:
    `ValidatorType.setValidatorClass(ValidatorClassType)`, `FacesConfigPackage.getValidatorType_ValidatorClass()`

### basicSetValidatorClass

    public NotificationChain basicSetValidatorClass(ValidatorClassType newValidatorClass,
                                                    NotificationChain msgs)

  Parameters:
    `newValidatorClass` -
    `msgs` -
  Returns:
    the notification chain

### setValidatorClass

    public void setValidatorClass(ValidatorClassType newValidatorClass)

  Specified by:
    `setValidatorClass` in interface `ValidatorType`
  Parameters:
    `newValidatorClass` - the new value of the 'Validator Class' containment reference.
  See Also:
    `ValidatorType.getValidatorClass()`

### getAttribute

    public EList getAttribute()

  Specified by:
    `getAttribute` in interface `ValidatorType`
  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Attribute()`

### getProperty

    public EList getProperty()

  Specified by:
    `getProperty` in interface `ValidatorType`
  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_Property()`

### getValidatorExtension

    public EList getValidatorExtension()

  Specified by:
    `getValidatorExtension` in interface `ValidatorType`
  Returns:
    the value of the 'Validator Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getValidatorType_ValidatorExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ValidatorType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ValidatorType.setId(String)`, `FacesConfigPackage.getValidatorType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ValidatorType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ValidatorType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()